import '../../dstu2.dart';

class ResourceUtils {
  static const resourceTypeFromStringMap = {
    'Account': Dstu2ResourceTypes.Account,
    'AllergyIntolerance': Dstu2ResourceTypes.AllergyIntolerance,
    'Appointment': Dstu2ResourceTypes.Appointment,
    'AppointmentResponse': Dstu2ResourceTypes.AppointmentResponse,
    'AuditEvent': Dstu2ResourceTypes.AuditEvent,
    'Basic': Dstu2ResourceTypes.Basic,
    'Binary': Dstu2ResourceTypes.Binary,
    'BodySite': Dstu2ResourceTypes.BodySite,
    'Bundle': Dstu2ResourceTypes.Bundle,
    'CapabilityStatement': Dstu2ResourceTypes.CapabilityStatement,
    'CarePlan': Dstu2ResourceTypes.CarePlan,
    'Claim': Dstu2ResourceTypes.Claim,
    'ClaimResponse': Dstu2ResourceTypes.ClaimResponse,
    'ClinicalImpression': Dstu2ResourceTypes.ClinicalImpression,
    'Communication': Dstu2ResourceTypes.Communication,
    'CommunicationRequest': Dstu2ResourceTypes.CommunicationRequest,
    'Composition': Dstu2ResourceTypes.Composition,
    'ConceptMap': Dstu2ResourceTypes.ConceptMap,
    'Condition': Dstu2ResourceTypes.Condition,
    'Conformance': Dstu2ResourceTypes.Conformance,
    'Contract': Dstu2ResourceTypes.Contract,
    'Coverage': Dstu2ResourceTypes.Coverage,
    'DataElement': Dstu2ResourceTypes.DataElement,
    'DetectedIssue': Dstu2ResourceTypes.DetectedIssue,
    'Device': Dstu2ResourceTypes.Device,
    'DeviceComponent': Dstu2ResourceTypes.DeviceComponent,
    'DeviceMetric': Dstu2ResourceTypes.DeviceMetric,
    'DeviceUseRequest': Dstu2ResourceTypes.DeviceUseRequest,
    'DeviceUseStatement': Dstu2ResourceTypes.DeviceUseStatement,
    'DiagnosticOrder': Dstu2ResourceTypes.DiagnosticOrder,
    'DiagnosticReport': Dstu2ResourceTypes.DiagnosticReport,
    'DocumentManifest': Dstu2ResourceTypes.DocumentManifest,
    'DocumentReference': Dstu2ResourceTypes.DocumentReference,
    'EligibilityRequest': Dstu2ResourceTypes.EligibilityRequest,
    'EligibilityResponse': Dstu2ResourceTypes.EligibilityResponse,
    'Encounter': Dstu2ResourceTypes.Encounter,
    'EnrollmentRequest': Dstu2ResourceTypes.EnrollmentRequest,
    'EnrollmentResponse': Dstu2ResourceTypes.EnrollmentResponse,
    'EpisodeOfCare': Dstu2ResourceTypes.EpisodeOfCare,
    'ExplanationOfBenefit': Dstu2ResourceTypes.ExplanationOfBenefit,
    'FamilyMemberHistory': Dstu2ResourceTypes.FamilyMemberHistory,
    'Flag': Dstu2ResourceTypes.Flag,
    'Goal': Dstu2ResourceTypes.Goal,
    'Group': Dstu2ResourceTypes.Group,
    'HealthcareService': Dstu2ResourceTypes.HealthcareService,
    'ImagingObjectSelection': Dstu2ResourceTypes.ImagingObjectSelection,
    'ImagingStudy': Dstu2ResourceTypes.ImagingStudy,
    'Immunization': Dstu2ResourceTypes.Immunization,
    'ImmunizationRecommendation': Dstu2ResourceTypes.ImmunizationRecommendation,
    'ImplementationGuide': Dstu2ResourceTypes.ImplementationGuide,
    'List': Dstu2ResourceTypes.List,
    'Location': Dstu2ResourceTypes.Location,
    'Media': Dstu2ResourceTypes.Media,
    'Medication': Dstu2ResourceTypes.Medication,
    'MedicationAdministration': Dstu2ResourceTypes.MedicationAdministration,
    'MedicationDispense': Dstu2ResourceTypes.MedicationDispense,
    'MedicationOrder': Dstu2ResourceTypes.MedicationOrder,
    'MedicationStatement': Dstu2ResourceTypes.MedicationStatement,
    'MessageHeader': Dstu2ResourceTypes.MessageHeader,
    'NamingSystem': Dstu2ResourceTypes.NamingSystem,
    'NutritionOrder': Dstu2ResourceTypes.NutritionOrder,
    'Observation': Dstu2ResourceTypes.Observation,
    'OperationDefinition': Dstu2ResourceTypes.OperationDefinition,
    'OperationOutcome': Dstu2ResourceTypes.OperationOutcome,
    'Order': Dstu2ResourceTypes.Order,
    'OrderResponse': Dstu2ResourceTypes.OrderResponse,
    'Organization': Dstu2ResourceTypes.Organization,
    'Parameters': Dstu2ResourceTypes.Parameters,
    'Patient': Dstu2ResourceTypes.Patient,
    'PaymentNotice': Dstu2ResourceTypes.PaymentNotice,
    'PaymentReconciliation': Dstu2ResourceTypes.PaymentReconciliation,
    'Person': Dstu2ResourceTypes.Person,
    'Practitioner': Dstu2ResourceTypes.Practitioner,
    'Procedure': Dstu2ResourceTypes.Procedure,
    'ProcedureRequest': Dstu2ResourceTypes.ProcedureRequest,
    'ProcessRequest': Dstu2ResourceTypes.ProcessRequest,
    'ProcessResponse': Dstu2ResourceTypes.ProcessResponse,
    'Provenance': Dstu2ResourceTypes.Provenance,
    'Questionnaire': Dstu2ResourceTypes.Questionnaire,
    'QuestionnaireResponse': Dstu2ResourceTypes.QuestionnaireResponse,
    'ReferralRequest': Dstu2ResourceTypes.ReferralRequest,
    'RelatedPerson': Dstu2ResourceTypes.RelatedPerson,
    'RiskAssessment': Dstu2ResourceTypes.RiskAssessment,
    'Schedule': Dstu2ResourceTypes.Schedule,
    'SearchParameter': Dstu2ResourceTypes.SearchParameter,
    'Slot': Dstu2ResourceTypes.Slot,
    'Specimen': Dstu2ResourceTypes.Specimen,
    'StructureDefinition': Dstu2ResourceTypes.StructureDefinition,
    'Subscription': Dstu2ResourceTypes.Subscription,
    'Substance': Dstu2ResourceTypes.Substance,
    'SupplyDelivery': Dstu2ResourceTypes.SupplyDelivery,
    'SupplyRequest': Dstu2ResourceTypes.SupplyRequest,
    'TestScript': Dstu2ResourceTypes.TestScript,
    'ValueSet': Dstu2ResourceTypes.ValueSet,
    'VisionPrescription': Dstu2ResourceTypes.VisionPrescription,
  };

  static const resourceTypeToStringMap = {
    Dstu2ResourceTypes.Account: 'Account',
    Dstu2ResourceTypes.AllergyIntolerance: 'AllergyIntolerance',
    Dstu2ResourceTypes.Appointment: 'Appointment',
    Dstu2ResourceTypes.AppointmentResponse: 'AppointmentResponse',
    Dstu2ResourceTypes.AuditEvent: 'AuditEvent',
    Dstu2ResourceTypes.Basic: 'Basic',
    Dstu2ResourceTypes.Binary: 'Binary',
    Dstu2ResourceTypes.BodySite: 'BodySite',
    Dstu2ResourceTypes.Bundle: 'Bundle',
    Dstu2ResourceTypes.CapabilityStatement: 'CapabilityStatement',
    Dstu2ResourceTypes.CarePlan: 'CarePlan',
    Dstu2ResourceTypes.Claim: 'Claim',
    Dstu2ResourceTypes.ClaimResponse: 'ClaimResponse',
    Dstu2ResourceTypes.ClinicalImpression: 'ClinicalImpression',
    Dstu2ResourceTypes.Communication: 'Communication',
    Dstu2ResourceTypes.CommunicationRequest: 'CommunicationRequest',
    Dstu2ResourceTypes.Composition: 'Composition',
    Dstu2ResourceTypes.ConceptMap: 'ConceptMap',
    Dstu2ResourceTypes.Condition: 'Condition',
    Dstu2ResourceTypes.Conformance: 'Conformance',
    Dstu2ResourceTypes.Contract: 'Contract',
    Dstu2ResourceTypes.Coverage: 'Coverage',
    Dstu2ResourceTypes.DataElement: 'DataElement',
    Dstu2ResourceTypes.DetectedIssue: 'DetectedIssue',
    Dstu2ResourceTypes.Device: 'Device',
    Dstu2ResourceTypes.DeviceComponent: 'DeviceComponent',
    Dstu2ResourceTypes.DeviceMetric: 'DeviceMetric',
    Dstu2ResourceTypes.DeviceUseRequest: 'DeviceUseRequest',
    Dstu2ResourceTypes.DeviceUseStatement: 'DeviceUseStatement',
    Dstu2ResourceTypes.DiagnosticOrder: 'DiagnosticOrder',
    Dstu2ResourceTypes.DiagnosticReport: 'DiagnosticReport',
    Dstu2ResourceTypes.DocumentManifest: 'DocumentManifest',
    Dstu2ResourceTypes.DocumentReference: 'DocumentReference',
    Dstu2ResourceTypes.EligibilityRequest: 'EligibilityRequest',
    Dstu2ResourceTypes.EligibilityResponse: 'EligibilityResponse',
    Dstu2ResourceTypes.Encounter: 'Encounter',
    Dstu2ResourceTypes.EnrollmentRequest: 'EnrollmentRequest',
    Dstu2ResourceTypes.EnrollmentResponse: 'EnrollmentResponse',
    Dstu2ResourceTypes.EpisodeOfCare: 'EpisodeOfCare',
    Dstu2ResourceTypes.ExplanationOfBenefit: 'ExplanationOfBenefit',
    Dstu2ResourceTypes.FamilyMemberHistory: 'FamilyMemberHistory',
    Dstu2ResourceTypes.Flag: 'Flag',
    Dstu2ResourceTypes.Goal: 'Goal',
    Dstu2ResourceTypes.Group: 'Group',
    Dstu2ResourceTypes.HealthcareService: 'HealthcareService',
    Dstu2ResourceTypes.ImagingObjectSelection: 'ImagingObjectSelection',
    Dstu2ResourceTypes.ImagingStudy: 'ImagingStudy',
    Dstu2ResourceTypes.Immunization: 'Immunization',
    Dstu2ResourceTypes.ImmunizationRecommendation: 'ImmunizationRecommendation',
    Dstu2ResourceTypes.ImplementationGuide: 'ImplementationGuide',
    Dstu2ResourceTypes.List: 'List',
    Dstu2ResourceTypes.Location: 'Location',
    Dstu2ResourceTypes.Media: 'Media',
    Dstu2ResourceTypes.Medication: 'Medication',
    Dstu2ResourceTypes.MedicationAdministration: 'MedicationAdministration',
    Dstu2ResourceTypes.MedicationDispense: 'MedicationDispense',
    Dstu2ResourceTypes.MedicationOrder: 'MedicationOrder',
    Dstu2ResourceTypes.MedicationStatement: 'MedicationStatement',
    Dstu2ResourceTypes.MessageHeader: 'MessageHeader',
    Dstu2ResourceTypes.NamingSystem: 'NamingSystem',
    Dstu2ResourceTypes.NutritionOrder: 'NutritionOrder',
    Dstu2ResourceTypes.Observation: 'Observation',
    Dstu2ResourceTypes.OperationDefinition: 'OperationDefinition',
    Dstu2ResourceTypes.OperationOutcome: 'OperationOutcome',
    Dstu2ResourceTypes.Order: 'Order',
    Dstu2ResourceTypes.OrderResponse: 'OrderResponse',
    Dstu2ResourceTypes.Organization: 'Organization',
    Dstu2ResourceTypes.Parameters: 'Parameters',
    Dstu2ResourceTypes.Patient: 'Patient',
    Dstu2ResourceTypes.PaymentNotice: 'PaymentNotice',
    Dstu2ResourceTypes.PaymentReconciliation: 'PaymentReconciliation',
    Dstu2ResourceTypes.Person: 'Person',
    Dstu2ResourceTypes.Practitioner: 'Practitioner',
    Dstu2ResourceTypes.Procedure: 'Procedure',
    Dstu2ResourceTypes.ProcedureRequest: 'ProcedureRequest',
    Dstu2ResourceTypes.ProcessRequest: 'ProcessRequest',
    Dstu2ResourceTypes.ProcessResponse: 'ProcessResponse',
    Dstu2ResourceTypes.Provenance: 'Provenance',
    Dstu2ResourceTypes.Questionnaire: 'Questionnaire',
    Dstu2ResourceTypes.QuestionnaireResponse: 'QuestionnaireResponse',
    Dstu2ResourceTypes.ReferralRequest: 'ReferralRequest',
    Dstu2ResourceTypes.RelatedPerson: 'RelatedPerson',
    Dstu2ResourceTypes.RiskAssessment: 'RiskAssessment',
    Dstu2ResourceTypes.Schedule: 'Schedule',
    Dstu2ResourceTypes.SearchParameter: 'SearchParameter',
    Dstu2ResourceTypes.Slot: 'Slot',
    Dstu2ResourceTypes.Specimen: 'Specimen',
    Dstu2ResourceTypes.StructureDefinition: 'StructureDefinition',
    Dstu2ResourceTypes.Subscription: 'Subscription',
    Dstu2ResourceTypes.Substance: 'Substance',
    Dstu2ResourceTypes.SupplyDelivery: 'SupplyDelivery',
    Dstu2ResourceTypes.SupplyRequest: 'SupplyRequest',
    Dstu2ResourceTypes.TestScript: 'TestScript',
    Dstu2ResourceTypes.ValueSet: 'ValueSet',
    Dstu2ResourceTypes.VisionPrescription: 'VisionPrescription',
  };
}
