import '../../r4.dart';

class ResourceUtils {
  static const resourceTypeFromStringMap = {
    'Account': R4ResourceTypes.Account,
    'ActivityDefinition': R4ResourceTypes.ActivityDefinition,
    'AdverseEvent': R4ResourceTypes.AdverseEvent,
    'AllergyIntolerance': R4ResourceTypes.AllergyIntolerance,
    'Appointment': R4ResourceTypes.Appointment,
    'AppointmentResponse': R4ResourceTypes.AppointmentResponse,
    'AuditEvent': R4ResourceTypes.AuditEvent,
    'Basic': R4ResourceTypes.Basic,
    'Binary': R4ResourceTypes.Binary,
    'BiologicallyDerivedProduct': R4ResourceTypes.BiologicallyDerivedProduct,
    'BodyStructure': R4ResourceTypes.BodyStructure,
    'Bundle': R4ResourceTypes.Bundle,
    'CapabilityStatement': R4ResourceTypes.CapabilityStatement,
    'CarePlan': R4ResourceTypes.CarePlan,
    'CareTeam': R4ResourceTypes.CareTeam,
    'CatalogEntry': R4ResourceTypes.CatalogEntry,
    'ChargeItem': R4ResourceTypes.ChargeItem,
    'ChargeItemDefinition': R4ResourceTypes.ChargeItemDefinition,
    'Claim': R4ResourceTypes.Claim,
    'ClaimResponse': R4ResourceTypes.ClaimResponse,
    'ClinicalImpression': R4ResourceTypes.ClinicalImpression,
    'CodeSystem': R4ResourceTypes.CodeSystem,
    'Communication': R4ResourceTypes.Communication,
    'CommunicationRequest': R4ResourceTypes.CommunicationRequest,
    'CompartmentDefinition': R4ResourceTypes.CompartmentDefinition,
    'Composition': R4ResourceTypes.Composition,
    'ConceptMap': R4ResourceTypes.ConceptMap,
    'Condition': R4ResourceTypes.Condition,
    'Consent': R4ResourceTypes.Consent,
    'Contract': R4ResourceTypes.Contract,
    'Coverage': R4ResourceTypes.Coverage,
    'CoverageEligibilityRequest': R4ResourceTypes.CoverageEligibilityRequest,
    'CoverageEligibilityResponse': R4ResourceTypes.CoverageEligibilityResponse,
    'DetectedIssue': R4ResourceTypes.DetectedIssue,
    'Device': R4ResourceTypes.Device,
    'DeviceDefinition': R4ResourceTypes.DeviceDefinition,
    'DeviceMetric': R4ResourceTypes.DeviceMetric,
    'DeviceRequest': R4ResourceTypes.DeviceRequest,
    'DeviceUseStatement': R4ResourceTypes.DeviceUseStatement,
    'DiagnosticReport': R4ResourceTypes.DiagnosticReport,
    'DocumentManifest': R4ResourceTypes.DocumentManifest,
    'DocumentReference': R4ResourceTypes.DocumentReference,
    'EffectEvidenceSynthesis': R4ResourceTypes.EffectEvidenceSynthesis,
    'Encounter': R4ResourceTypes.Encounter,
    'Endpoint': R4ResourceTypes.Endpoint,
    'EnrollmentRequest': R4ResourceTypes.EnrollmentRequest,
    'EnrollmentResponse': R4ResourceTypes.EnrollmentResponse,
    'EpisodeOfCare': R4ResourceTypes.EpisodeOfCare,
    'EventDefinition': R4ResourceTypes.EventDefinition,
    'Evidence': R4ResourceTypes.Evidence,
    'EvidenceVariable': R4ResourceTypes.EvidenceVariable,
    'ExampleScenario': R4ResourceTypes.ExampleScenario,
    'ExplanationOfBenefit': R4ResourceTypes.ExplanationOfBenefit,
    'FamilyMemberHistory': R4ResourceTypes.FamilyMemberHistory,
    'Flag': R4ResourceTypes.Flag,
    'Goal': R4ResourceTypes.Goal,
    'GraphDefinition': R4ResourceTypes.GraphDefinition,
    'Group': R4ResourceTypes.Group,
    'GuidanceResponse': R4ResourceTypes.GuidanceResponse,
    'HealthcareService': R4ResourceTypes.HealthcareService,
    'ImagingStudy': R4ResourceTypes.ImagingStudy,
    'Immunization': R4ResourceTypes.Immunization,
    'ImmunizationEvaluation': R4ResourceTypes.ImmunizationEvaluation,
    'ImmunizationRecommendation': R4ResourceTypes.ImmunizationRecommendation,
    'ImplementationGuide': R4ResourceTypes.ImplementationGuide,
    'InsurancePlan': R4ResourceTypes.InsurancePlan,
    'Invoice': R4ResourceTypes.Invoice,
    'Library': R4ResourceTypes.Library,
    'Linkage': R4ResourceTypes.Linkage,
    'List': R4ResourceTypes.List_,
    'Location': R4ResourceTypes.Location,
    'Measure': R4ResourceTypes.Measure,
    'MeasureReport': R4ResourceTypes.MeasureReport,
    'Media': R4ResourceTypes.Media,
    'Medication': R4ResourceTypes.Medication,
    'MedicationAdministration': R4ResourceTypes.MedicationAdministration,
    'MedicationDispense': R4ResourceTypes.MedicationDispense,
    'MedicationKnowledge': R4ResourceTypes.MedicationKnowledge,
    'MedicationRequest': R4ResourceTypes.MedicationRequest,
    'MedicationStatement': R4ResourceTypes.MedicationStatement,
    'MedicinalProduct': R4ResourceTypes.MedicinalProduct,
    'MedicinalProductAuthorization':
        R4ResourceTypes.MedicinalProductAuthorization,
    'MedicinalProductContraindication':
        R4ResourceTypes.MedicinalProductContraindication,
    'MedicinalProductIndication': R4ResourceTypes.MedicinalProductIndication,
    'MedicinalProductIngredient': R4ResourceTypes.MedicinalProductIngredient,
    'MedicinalProductInteraction': R4ResourceTypes.MedicinalProductInteraction,
    'MedicinalProductManufactured':
        R4ResourceTypes.MedicinalProductManufactured,
    'MedicinalProductPackaged': R4ResourceTypes.MedicinalProductPackaged,
    'MedicinalProductPharmaceutical':
        R4ResourceTypes.MedicinalProductPharmaceutical,
    'MedicinalProductUndesirableEffect':
        R4ResourceTypes.MedicinalProductUndesirableEffect,
    'MessageDefinition': R4ResourceTypes.MessageDefinition,
    'MessageHeader': R4ResourceTypes.MessageHeader,
    'MolecularSequence': R4ResourceTypes.MolecularSequence,
    'NamingSystem': R4ResourceTypes.NamingSystem,
    'NutritionOrder': R4ResourceTypes.NutritionOrder,
    'Observation': R4ResourceTypes.Observation,
    'ObservationDefinition': R4ResourceTypes.ObservationDefinition,
    'OperationDefinition': R4ResourceTypes.OperationDefinition,
    'OperationOutcome': R4ResourceTypes.OperationOutcome,
    'Organization': R4ResourceTypes.Organization,
    'OrganizationAffiliation': R4ResourceTypes.OrganizationAffiliation,
    'Parameters': R4ResourceTypes.Parameters,
    'Patient': R4ResourceTypes.Patient,
    'PaymentNotice': R4ResourceTypes.PaymentNotice,
    'PaymentReconciliation': R4ResourceTypes.PaymentReconciliation,
    'Person': R4ResourceTypes.Person,
    'PlanDefinition': R4ResourceTypes.PlanDefinition,
    'Practitioner': R4ResourceTypes.Practitioner,
    'PractitionerRole': R4ResourceTypes.PractitionerRole,
    'Procedure': R4ResourceTypes.Procedure,
    'Provenance': R4ResourceTypes.Provenance,
    'Questionnaire': R4ResourceTypes.Questionnaire,
    'QuestionnaireResponse': R4ResourceTypes.QuestionnaireResponse,
    'RelatedPerson': R4ResourceTypes.RelatedPerson,
    'RequestGroup': R4ResourceTypes.RequestGroup,
    'ResearchDefinition': R4ResourceTypes.ResearchDefinition,
    'ResearchElementDefinition': R4ResourceTypes.ResearchElementDefinition,
    'ResearchStudy': R4ResourceTypes.ResearchStudy,
    'ResearchSubject': R4ResourceTypes.ResearchSubject,
    'RiskAssessment': R4ResourceTypes.RiskAssessment,
    'RiskEvidenceSynthesis': R4ResourceTypes.RiskEvidenceSynthesis,
    'Schedule': R4ResourceTypes.Schedule,
    'SearchParameter': R4ResourceTypes.SearchParameter,
    'ServiceRequest': R4ResourceTypes.ServiceRequest,
    'Slot': R4ResourceTypes.Slot,
    'Specimen': R4ResourceTypes.Specimen,
    'SpecimenDefinition': R4ResourceTypes.SpecimenDefinition,
    'StructureDefinition': R4ResourceTypes.StructureDefinition,
    'StructureMap': R4ResourceTypes.StructureMap,
    'Subscription': R4ResourceTypes.Subscription,
    'Substance': R4ResourceTypes.Substance,
    'SubstanceNucleicAcid': R4ResourceTypes.SubstanceNucleicAcid,
    'SubstancePolymer': R4ResourceTypes.SubstancePolymer,
    'SubstanceProtein': R4ResourceTypes.SubstanceProtein,
    'SubstanceReferenceInformation':
        R4ResourceTypes.SubstanceReferenceInformation,
    'SubstanceSourceMaterial': R4ResourceTypes.SubstanceSourceMaterial,
    'SubstanceSpecification': R4ResourceTypes.SubstanceSpecification,
    'SupplyDelivery': R4ResourceTypes.SupplyDelivery,
    'SupplyRequest': R4ResourceTypes.SupplyRequest,
    'Task': R4ResourceTypes.Task,
    'TerminologyCapabilities': R4ResourceTypes.TerminologyCapabilities,
    'TestReport': R4ResourceTypes.TestReport,
    'TestScript': R4ResourceTypes.TestScript,
    'ValueSet': R4ResourceTypes.ValueSet,
    'VerificationResult': R4ResourceTypes.VerificationResult,
    'VisionPrescription': R4ResourceTypes.VisionPrescription,
  };

  static const resourceTypeToStringMap = {
    R4ResourceTypes.Account: 'Account',
    R4ResourceTypes.ActivityDefinition: 'ActivityDefinition',
    R4ResourceTypes.AdverseEvent: 'AdverseEvent',
    R4ResourceTypes.AllergyIntolerance: 'AllergyIntolerance',
    R4ResourceTypes.Appointment: 'Appointment',
    R4ResourceTypes.AppointmentResponse: 'AppointmentResponse',
    R4ResourceTypes.AuditEvent: 'AuditEvent',
    R4ResourceTypes.Basic: 'Basic',
    R4ResourceTypes.Binary: 'Binary',
    R4ResourceTypes.BiologicallyDerivedProduct: 'BiologicallyDerivedProduct',
    R4ResourceTypes.BodyStructure: 'BodyStructure',
    R4ResourceTypes.Bundle: 'Bundle',
    R4ResourceTypes.CapabilityStatement: 'CapabilityStatement',
    R4ResourceTypes.CarePlan: 'CarePlan',
    R4ResourceTypes.CareTeam: 'CareTeam',
    R4ResourceTypes.CatalogEntry: 'CatalogEntry',
    R4ResourceTypes.ChargeItem: 'ChargeItem',
    R4ResourceTypes.ChargeItemDefinition: 'ChargeItemDefinition',
    R4ResourceTypes.Claim: 'Claim',
    R4ResourceTypes.ClaimResponse: 'ClaimResponse',
    R4ResourceTypes.ClinicalImpression: 'ClinicalImpression',
    R4ResourceTypes.CodeSystem: 'CodeSystem',
    R4ResourceTypes.Communication: 'Communication',
    R4ResourceTypes.CommunicationRequest: 'CommunicationRequest',
    R4ResourceTypes.CompartmentDefinition: 'CompartmentDefinition',
    R4ResourceTypes.Composition: 'Composition',
    R4ResourceTypes.ConceptMap: 'ConceptMap',
    R4ResourceTypes.Condition: 'Condition',
    R4ResourceTypes.Consent: 'Consent',
    R4ResourceTypes.Contract: 'Contract',
    R4ResourceTypes.Coverage: 'Coverage',
    R4ResourceTypes.CoverageEligibilityRequest: 'CoverageEligibilityRequest',
    R4ResourceTypes.CoverageEligibilityResponse: 'CoverageEligibilityResponse',
    R4ResourceTypes.DetectedIssue: 'DetectedIssue',
    R4ResourceTypes.Device: 'Device',
    R4ResourceTypes.DeviceDefinition: 'DeviceDefinition',
    R4ResourceTypes.DeviceMetric: 'DeviceMetric',
    R4ResourceTypes.DeviceRequest: 'DeviceRequest',
    R4ResourceTypes.DeviceUseStatement: 'DeviceUseStatement',
    R4ResourceTypes.DiagnosticReport: 'DiagnosticReport',
    R4ResourceTypes.DocumentManifest: 'DocumentManifest',
    R4ResourceTypes.DocumentReference: 'DocumentReference',
    R4ResourceTypes.EffectEvidenceSynthesis: 'EffectEvidenceSynthesis',
    R4ResourceTypes.Encounter: 'Encounter',
    R4ResourceTypes.Endpoint: 'Endpoint',
    R4ResourceTypes.EnrollmentRequest: 'EnrollmentRequest',
    R4ResourceTypes.EnrollmentResponse: 'EnrollmentResponse',
    R4ResourceTypes.EpisodeOfCare: 'EpisodeOfCare',
    R4ResourceTypes.EventDefinition: 'EventDefinition',
    R4ResourceTypes.Evidence: 'Evidence',
    R4ResourceTypes.EvidenceVariable: 'EvidenceVariable',
    R4ResourceTypes.ExampleScenario: 'ExampleScenario',
    R4ResourceTypes.ExplanationOfBenefit: 'ExplanationOfBenefit',
    R4ResourceTypes.FamilyMemberHistory: 'FamilyMemberHistory',
    R4ResourceTypes.Flag: 'Flag',
    R4ResourceTypes.Goal: 'Goal',
    R4ResourceTypes.GraphDefinition: 'GraphDefinition',
    R4ResourceTypes.Group: 'Group',
    R4ResourceTypes.GuidanceResponse: 'GuidanceResponse',
    R4ResourceTypes.HealthcareService: 'HealthcareService',
    R4ResourceTypes.ImagingStudy: 'ImagingStudy',
    R4ResourceTypes.Immunization: 'Immunization',
    R4ResourceTypes.ImmunizationEvaluation: 'ImmunizationEvaluation',
    R4ResourceTypes.ImmunizationRecommendation: 'ImmunizationRecommendation',
    R4ResourceTypes.ImplementationGuide: 'ImplementationGuide',
    R4ResourceTypes.InsurancePlan: 'InsurancePlan',
    R4ResourceTypes.Invoice: 'Invoice',
    R4ResourceTypes.Library: 'Library',
    R4ResourceTypes.Linkage: 'Linkage',
    R4ResourceTypes.List_: 'List',
    R4ResourceTypes.Location: 'Location',
    R4ResourceTypes.Measure: 'Measure',
    R4ResourceTypes.MeasureReport: 'MeasureReport',
    R4ResourceTypes.Media: 'Media',
    R4ResourceTypes.Medication: 'Medication',
    R4ResourceTypes.MedicationAdministration: 'MedicationAdministration',
    R4ResourceTypes.MedicationDispense: 'MedicationDispense',
    R4ResourceTypes.MedicationKnowledge: 'MedicationKnowledge',
    R4ResourceTypes.MedicationRequest: 'MedicationRequest',
    R4ResourceTypes.MedicationStatement: 'MedicationStatement',
    R4ResourceTypes.MedicinalProduct: 'MedicinalProduct',
    R4ResourceTypes.MedicinalProductAuthorization:
        'MedicinalProductAuthorization',
    R4ResourceTypes.MedicinalProductContraindication:
        'MedicinalProductContraindication',
    R4ResourceTypes.MedicinalProductIndication: 'MedicinalProductIndication',
    R4ResourceTypes.MedicinalProductIngredient: 'MedicinalProductIngredient',
    R4ResourceTypes.MedicinalProductInteraction: 'MedicinalProductInteraction',
    R4ResourceTypes.MedicinalProductManufactured:
        'MedicinalProductManufactured',
    R4ResourceTypes.MedicinalProductPackaged: 'MedicinalProductPackaged',
    R4ResourceTypes.MedicinalProductPharmaceutical:
        'MedicinalProductPharmaceutical',
    R4ResourceTypes.MedicinalProductUndesirableEffect:
        'MedicinalProductUndesirableEffect',
    R4ResourceTypes.MessageDefinition: 'MessageDefinition',
    R4ResourceTypes.MessageHeader: 'MessageHeader',
    R4ResourceTypes.MolecularSequence: 'MolecularSequence',
    R4ResourceTypes.NamingSystem: 'NamingSystem',
    R4ResourceTypes.NutritionOrder: 'NutritionOrder',
    R4ResourceTypes.Observation: 'Observation',
    R4ResourceTypes.ObservationDefinition: 'ObservationDefinition',
    R4ResourceTypes.OperationDefinition: 'OperationDefinition',
    R4ResourceTypes.OperationOutcome: 'OperationOutcome',
    R4ResourceTypes.Organization: 'Organization',
    R4ResourceTypes.OrganizationAffiliation: 'OrganizationAffiliation',
    R4ResourceTypes.Parameters: 'Parameters',
    R4ResourceTypes.Patient: 'Patient',
    R4ResourceTypes.PaymentNotice: 'PaymentNotice',
    R4ResourceTypes.PaymentReconciliation: 'PaymentReconciliation',
    R4ResourceTypes.Person: 'Person',
    R4ResourceTypes.PlanDefinition: 'PlanDefinition',
    R4ResourceTypes.Practitioner: 'Practitioner',
    R4ResourceTypes.PractitionerRole: 'PractitionerRole',
    R4ResourceTypes.Procedure: 'Procedure',
    R4ResourceTypes.Provenance: 'Provenance',
    R4ResourceTypes.Questionnaire: 'Questionnaire',
    R4ResourceTypes.QuestionnaireResponse: 'QuestionnaireResponse',
    R4ResourceTypes.RelatedPerson: 'RelatedPerson',
    R4ResourceTypes.RequestGroup: 'RequestGroup',
    R4ResourceTypes.ResearchDefinition: 'ResearchDefinition',
    R4ResourceTypes.ResearchElementDefinition: 'ResearchElementDefinition',
    R4ResourceTypes.ResearchStudy: 'ResearchStudy',
    R4ResourceTypes.ResearchSubject: 'ResearchSubject',
    R4ResourceTypes.RiskAssessment: 'RiskAssessment',
    R4ResourceTypes.RiskEvidenceSynthesis: 'RiskEvidenceSynthesis',
    R4ResourceTypes.Schedule: 'Schedule',
    R4ResourceTypes.SearchParameter: 'SearchParameter',
    R4ResourceTypes.ServiceRequest: 'ServiceRequest',
    R4ResourceTypes.Slot: 'Slot',
    R4ResourceTypes.Specimen: 'Specimen',
    R4ResourceTypes.SpecimenDefinition: 'SpecimenDefinition',
    R4ResourceTypes.StructureDefinition: 'StructureDefinition',
    R4ResourceTypes.StructureMap: 'StructureMap',
    R4ResourceTypes.Subscription: 'Subscription',
    R4ResourceTypes.Substance: 'Substance',
    R4ResourceTypes.SubstanceNucleicAcid: 'SubstanceNucleicAcid',
    R4ResourceTypes.SubstancePolymer: 'SubstancePolymer',
    R4ResourceTypes.SubstanceProtein: 'SubstanceProtein',
    R4ResourceTypes.SubstanceReferenceInformation:
        'SubstanceReferenceInformation',
    R4ResourceTypes.SubstanceSourceMaterial: 'SubstanceSourceMaterial',
    R4ResourceTypes.SubstanceSpecification: 'SubstanceSpecification',
    R4ResourceTypes.SupplyDelivery: 'SupplyDelivery',
    R4ResourceTypes.SupplyRequest: 'SupplyRequest',
    R4ResourceTypes.Task: 'Task',
    R4ResourceTypes.TerminologyCapabilities: 'TerminologyCapabilities',
    R4ResourceTypes.TestReport: 'TestReport',
    R4ResourceTypes.TestScript: 'TestScript',
    R4ResourceTypes.ValueSet: 'ValueSet',
    R4ResourceTypes.VerificationResult: 'VerificationResult',
    R4ResourceTypes.VisionPrescription: 'VisionPrescription',
  };
}
