import '../../r5.dart';

class ResourceUtils {
  static const resourceTypeFromStringMap = {
    'Account': R5ResourceTypes.Account,
    'ActivityDefinition': R5ResourceTypes.ActivityDefinition,
    'AdverseEvent': R5ResourceTypes.AdverseEvent,
    'AllergyIntolerance': R5ResourceTypes.AllergyIntolerance,
    'Appointment': R5ResourceTypes.Appointment,
    'AppointmentResponse': R5ResourceTypes.AppointmentResponse,
    'AuditEvent': R5ResourceTypes.AuditEvent,
    'Basic': R5ResourceTypes.Basic,
    'Binary': R5ResourceTypes.Binary,
    'BiologicallyDerivedProduct': R5ResourceTypes.BiologicallyDerivedProduct,
    'BodyStructure': R5ResourceTypes.BodyStructure,
    'Bundle': R5ResourceTypes.Bundle,
    'CapabilityStatement': R5ResourceTypes.CapabilityStatement,
    'CapabilityStatement2': R5ResourceTypes.CapabilityStatement2,
    'CarePlan': R5ResourceTypes.CarePlan,
    'CareTeam': R5ResourceTypes.CareTeam,
    'CatalogEntry': R5ResourceTypes.CatalogEntry,
    'ChargeItem': R5ResourceTypes.ChargeItem,
    'ChargeItemDefinition': R5ResourceTypes.ChargeItemDefinition,
    'Claim': R5ResourceTypes.Claim,
    'ClaimResponse': R5ResourceTypes.ClaimResponse,
    'ClinicalImpression': R5ResourceTypes.ClinicalImpression,
    'ClinicalUseIssue': R5ResourceTypes.ClinicalUseIssue,
    'CodeSystem': R5ResourceTypes.CodeSystem,
    'Communication': R5ResourceTypes.Communication,
    'CommunicationRequest': R5ResourceTypes.CommunicationRequest,
    'CompartmentDefinition': R5ResourceTypes.CompartmentDefinition,
    'Composition': R5ResourceTypes.Composition,
    'ConceptMap': R5ResourceTypes.ConceptMap,
    'Condition': R5ResourceTypes.Condition,
    'ConditionDefinition': R5ResourceTypes.ConditionDefinition,
    'Consent': R5ResourceTypes.Consent,
    'Contract': R5ResourceTypes.Contract,
    'Coverage': R5ResourceTypes.Coverage,
    'CoverageEligibilityRequest': R5ResourceTypes.CoverageEligibilityRequest,
    'CoverageEligibilityResponse': R5ResourceTypes.CoverageEligibilityResponse,
    'DetectedIssue': R5ResourceTypes.DetectedIssue,
    'Device': R5ResourceTypes.Device,
    'DeviceDefinition': R5ResourceTypes.DeviceDefinition,
    'DeviceMetric': R5ResourceTypes.DeviceMetric,
    'DeviceRequest': R5ResourceTypes.DeviceRequest,
    'DeviceUseStatement': R5ResourceTypes.DeviceUseStatement,
    'DiagnosticReport': R5ResourceTypes.DiagnosticReport,
    'DocumentManifest': R5ResourceTypes.DocumentManifest,
    'DocumentReference': R5ResourceTypes.DocumentReference,
    'Encounter': R5ResourceTypes.Encounter,
    'Endpoint': R5ResourceTypes.Endpoint,
    'EnrollmentRequest': R5ResourceTypes.EnrollmentRequest,
    'EnrollmentResponse': R5ResourceTypes.EnrollmentResponse,
    'EpisodeOfCare': R5ResourceTypes.EpisodeOfCare,
    'EventDefinition': R5ResourceTypes.EventDefinition,
    'Evidence': R5ResourceTypes.Evidence,
    'EvidenceVariable': R5ResourceTypes.EvidenceVariable,
    'ExampleScenario': R5ResourceTypes.ExampleScenario,
    'ExplanationOfBenefit': R5ResourceTypes.ExplanationOfBenefit,
    'FamilyMemberHistory': R5ResourceTypes.FamilyMemberHistory,
    'Flag': R5ResourceTypes.Flag,
    'Goal': R5ResourceTypes.Goal,
    'GraphDefinition': R5ResourceTypes.GraphDefinition,
    'Group': R5ResourceTypes.Group,
    'GuidanceResponse': R5ResourceTypes.GuidanceResponse,
    'HealthcareService': R5ResourceTypes.HealthcareService,
    'ImagingStudy': R5ResourceTypes.ImagingStudy,
    'Immunization': R5ResourceTypes.Immunization,
    'ImmunizationEvaluation': R5ResourceTypes.ImmunizationEvaluation,
    'ImmunizationRecommendation': R5ResourceTypes.ImmunizationRecommendation,
    'ImplementationGuide': R5ResourceTypes.ImplementationGuide,
    'InsurancePlan': R5ResourceTypes.InsurancePlan,
    'Invoice': R5ResourceTypes.Invoice,
    'Library': R5ResourceTypes.Library,
    'Linkage': R5ResourceTypes.Linkage,
    'List': R5ResourceTypes.List_,
    'Location': R5ResourceTypes.Location,
    'Measure': R5ResourceTypes.Measure,
    'MeasureReport': R5ResourceTypes.MeasureReport,
    'Medication': R5ResourceTypes.Medication,
    'MedicationAdministration': R5ResourceTypes.MedicationAdministration,
    'MedicationDispense': R5ResourceTypes.MedicationDispense,
    'MedicationKnowledge': R5ResourceTypes.MedicationKnowledge,
    'MedicationRequest': R5ResourceTypes.MedicationRequest,
    'MedicationUsage': R5ResourceTypes.MedicationUsage,
    'MedicinalProductDefinition': R5ResourceTypes.MedicinalProductDefinition,
    'RegulatedAuthorization': R5ResourceTypes.RegulatedAuthorization,
    'Ingredient': R5ResourceTypes.Ingredient,
    'ManufacturedItemDefinition': R5ResourceTypes.ManufacturedItemDefinition,
    'PackagedProductDefinition': R5ResourceTypes.PackagedProductDefinition,
    'AdministrableProductDefinition':
        R5ResourceTypes.AdministrableProductDefinition,
    'MessageDefinition': R5ResourceTypes.MessageDefinition,
    'MessageHeader': R5ResourceTypes.MessageHeader,
    'MolecularSequence': R5ResourceTypes.MolecularSequence,
    'NamingSystem': R5ResourceTypes.NamingSystem,
    'NutritionIntake': R5ResourceTypes.NutritionIntake,
    'NutritionOrder': R5ResourceTypes.NutritionOrder,
    'Observation': R5ResourceTypes.Observation,
    'ObservationDefinition': R5ResourceTypes.ObservationDefinition,
    'OperationDefinition': R5ResourceTypes.OperationDefinition,
    'OperationOutcome': R5ResourceTypes.OperationOutcome,
    'Organization': R5ResourceTypes.Organization,
    'OrganizationAffiliation': R5ResourceTypes.OrganizationAffiliation,
    'Parameters': R5ResourceTypes.Parameters,
    'Patient': R5ResourceTypes.Patient,
    'PaymentNotice': R5ResourceTypes.PaymentNotice,
    'PaymentReconciliation': R5ResourceTypes.PaymentReconciliation,
    'Person': R5ResourceTypes.Person,
    'PlanDefinition': R5ResourceTypes.PlanDefinition,
    'Practitioner': R5ResourceTypes.Practitioner,
    'PractitionerRole': R5ResourceTypes.PractitionerRole,
    'Procedure': R5ResourceTypes.Procedure,
    'Provenance': R5ResourceTypes.Provenance,
    'Questionnaire': R5ResourceTypes.Questionnaire,
    'QuestionnaireResponse': R5ResourceTypes.QuestionnaireResponse,
    'RelatedPerson': R5ResourceTypes.RelatedPerson,
    'RequestGroup': R5ResourceTypes.RequestGroup,
    'ResearchStudy': R5ResourceTypes.ResearchStudy,
    'ResearchSubject': R5ResourceTypes.ResearchSubject,
    'RiskAssessment': R5ResourceTypes.RiskAssessment,
    'Schedule': R5ResourceTypes.Schedule,
    'SearchParameter': R5ResourceTypes.SearchParameter,
    'ServiceRequest': R5ResourceTypes.ServiceRequest,
    'Slot': R5ResourceTypes.Slot,
    'Specimen': R5ResourceTypes.Specimen,
    'SpecimenDefinition': R5ResourceTypes.SpecimenDefinition,
    'StructureDefinition': R5ResourceTypes.StructureDefinition,
    'StructureMap': R5ResourceTypes.StructureMap,
    'Subscription': R5ResourceTypes.Subscription,
    'Substance': R5ResourceTypes.Substance,
    'SubstanceDefinition': R5ResourceTypes.SubstanceDefinition,
    'SubstanceNucleicAcid': R5ResourceTypes.SubstanceNucleicAcid,
    'SubstancePolymer': R5ResourceTypes.SubstancePolymer,
    'SubstanceProtein': R5ResourceTypes.SubstanceProtein,
    'SubstanceReferenceInformation':
        R5ResourceTypes.SubstanceReferenceInformation,
    'SubstanceSourceMaterial': R5ResourceTypes.SubstanceSourceMaterial,
    'SupplyDelivery': R5ResourceTypes.SupplyDelivery,
    'SupplyRequest': R5ResourceTypes.SupplyRequest,
    'Task': R5ResourceTypes.Task,
    'TerminologyCapabilities': R5ResourceTypes.TerminologyCapabilities,
    'TestReport': R5ResourceTypes.TestReport,
    'TestScript': R5ResourceTypes.TestScript,
    'ValueSet': R5ResourceTypes.ValueSet,
    'VerificationResult': R5ResourceTypes.VerificationResult,
    'VisionPrescription': R5ResourceTypes.VisionPrescription,
  };

  static const resourceTypeToStringMap = {
    R5ResourceTypes.Account: 'Account',
    R5ResourceTypes.ActivityDefinition: 'ActivityDefinition',
    R5ResourceTypes.AdverseEvent: 'AdverseEvent',
    R5ResourceTypes.AllergyIntolerance: 'AllergyIntolerance',
    R5ResourceTypes.Appointment: 'Appointment',
    R5ResourceTypes.AppointmentResponse: 'AppointmentResponse',
    R5ResourceTypes.AuditEvent: 'AuditEvent',
    R5ResourceTypes.Basic: 'Basic',
    R5ResourceTypes.Binary: 'Binary',
    R5ResourceTypes.BiologicallyDerivedProduct: 'BiologicallyDerivedProduct',
    R5ResourceTypes.BodyStructure: 'BodyStructure',
    R5ResourceTypes.Bundle: 'Bundle',
    R5ResourceTypes.CapabilityStatement: 'CapabilityStatement',
    R5ResourceTypes.CapabilityStatement2: 'CapabilityStatement2',
    R5ResourceTypes.CarePlan: 'CarePlan',
    R5ResourceTypes.CareTeam: 'CareTeam',
    R5ResourceTypes.CatalogEntry: 'CatalogEntry',
    R5ResourceTypes.ChargeItem: 'ChargeItem',
    R5ResourceTypes.ChargeItemDefinition: 'ChargeItemDefinition',
    R5ResourceTypes.Claim: 'Claim',
    R5ResourceTypes.ClaimResponse: 'ClaimResponse',
    R5ResourceTypes.ClinicalImpression: 'ClinicalImpression',
    R5ResourceTypes.ClinicalUseIssue: 'ClinicalUseIssue',
    R5ResourceTypes.CodeSystem: 'CodeSystem',
    R5ResourceTypes.Communication: 'Communication',
    R5ResourceTypes.CommunicationRequest: 'CommunicationRequest',
    R5ResourceTypes.CompartmentDefinition: 'CompartmentDefinition',
    R5ResourceTypes.Composition: 'Composition',
    R5ResourceTypes.ConceptMap: 'ConceptMap',
    R5ResourceTypes.Condition: 'Condition',
    R5ResourceTypes.ConditionDefinition: 'ConditionDefinition',
    R5ResourceTypes.Consent: 'Consent',
    R5ResourceTypes.Contract: 'Contract',
    R5ResourceTypes.Coverage: 'Coverage',
    R5ResourceTypes.CoverageEligibilityRequest: 'CoverageEligibilityRequest',
    R5ResourceTypes.CoverageEligibilityResponse: 'CoverageEligibilityResponse',
    R5ResourceTypes.DetectedIssue: 'DetectedIssue',
    R5ResourceTypes.Device: 'Device',
    R5ResourceTypes.DeviceDefinition: 'DeviceDefinition',
    R5ResourceTypes.DeviceMetric: 'DeviceMetric',
    R5ResourceTypes.DeviceRequest: 'DeviceRequest',
    R5ResourceTypes.DeviceUseStatement: 'DeviceUseStatement',
    R5ResourceTypes.DiagnosticReport: 'DiagnosticReport',
    R5ResourceTypes.DocumentManifest: 'DocumentManifest',
    R5ResourceTypes.DocumentReference: 'DocumentReference',
    R5ResourceTypes.Encounter: 'Encounter',
    R5ResourceTypes.Endpoint: 'Endpoint',
    R5ResourceTypes.EnrollmentRequest: 'EnrollmentRequest',
    R5ResourceTypes.EnrollmentResponse: 'EnrollmentResponse',
    R5ResourceTypes.EpisodeOfCare: 'EpisodeOfCare',
    R5ResourceTypes.EventDefinition: 'EventDefinition',
    R5ResourceTypes.Evidence: 'Evidence',
    R5ResourceTypes.EvidenceVariable: 'EvidenceVariable',
    R5ResourceTypes.ExampleScenario: 'ExampleScenario',
    R5ResourceTypes.ExplanationOfBenefit: 'ExplanationOfBenefit',
    R5ResourceTypes.FamilyMemberHistory: 'FamilyMemberHistory',
    R5ResourceTypes.Flag: 'Flag',
    R5ResourceTypes.Goal: 'Goal',
    R5ResourceTypes.GraphDefinition: 'GraphDefinition',
    R5ResourceTypes.Group: 'Group',
    R5ResourceTypes.GuidanceResponse: 'GuidanceResponse',
    R5ResourceTypes.HealthcareService: 'HealthcareService',
    R5ResourceTypes.ImagingStudy: 'ImagingStudy',
    R5ResourceTypes.Immunization: 'Immunization',
    R5ResourceTypes.ImmunizationEvaluation: 'ImmunizationEvaluation',
    R5ResourceTypes.ImmunizationRecommendation: 'ImmunizationRecommendation',
    R5ResourceTypes.ImplementationGuide: 'ImplementationGuide',
    R5ResourceTypes.InsurancePlan: 'InsurancePlan',
    R5ResourceTypes.Invoice: 'Invoice',
    R5ResourceTypes.Library: 'Library',
    R5ResourceTypes.Linkage: 'Linkage',
    R5ResourceTypes.List_: 'List',
    R5ResourceTypes.Location: 'Location',
    R5ResourceTypes.Measure: 'Measure',
    R5ResourceTypes.MeasureReport: 'MeasureReport',
    R5ResourceTypes.Medication: 'Medication',
    R5ResourceTypes.MedicationAdministration: 'MedicationAdministration',
    R5ResourceTypes.MedicationDispense: 'MedicationDispense',
    R5ResourceTypes.MedicationKnowledge: 'MedicationKnowledge',
    R5ResourceTypes.MedicationRequest: 'MedicationRequest',
    R5ResourceTypes.MedicationUsage: 'MedicationUsage',
    R5ResourceTypes.MedicinalProductDefinition: 'MedicinalProductDefinition',
    R5ResourceTypes.RegulatedAuthorization: 'RegulatedAuthorization',
    R5ResourceTypes.Ingredient: 'Ingredient',
    R5ResourceTypes.ManufacturedItemDefinition: 'ManufacturedItemDefinition',
    R5ResourceTypes.PackagedProductDefinition: 'PackagedProductDefinition',
    R5ResourceTypes.AdministrableProductDefinition:
        'AdministrableProductDefinition',
    R5ResourceTypes.MessageDefinition: 'MessageDefinition',
    R5ResourceTypes.MessageHeader: 'MessageHeader',
    R5ResourceTypes.MolecularSequence: 'MolecularSequence',
    R5ResourceTypes.NamingSystem: 'NamingSystem',
    R5ResourceTypes.NutritionIntake: 'NutritionIntake',
    R5ResourceTypes.NutritionOrder: 'NutritionOrder',
    R5ResourceTypes.Observation: 'Observation',
    R5ResourceTypes.ObservationDefinition: 'ObservationDefinition',
    R5ResourceTypes.OperationDefinition: 'OperationDefinition',
    R5ResourceTypes.OperationOutcome: 'OperationOutcome',
    R5ResourceTypes.Organization: 'Organization',
    R5ResourceTypes.OrganizationAffiliation: 'OrganizationAffiliation',
    R5ResourceTypes.Parameters: 'Parameters',
    R5ResourceTypes.Patient: 'Patient',
    R5ResourceTypes.PaymentNotice: 'PaymentNotice',
    R5ResourceTypes.PaymentReconciliation: 'PaymentReconciliation',
    R5ResourceTypes.Person: 'Person',
    R5ResourceTypes.PlanDefinition: 'PlanDefinition',
    R5ResourceTypes.Practitioner: 'Practitioner',
    R5ResourceTypes.PractitionerRole: 'PractitionerRole',
    R5ResourceTypes.Procedure: 'Procedure',
    R5ResourceTypes.Provenance: 'Provenance',
    R5ResourceTypes.Questionnaire: 'Questionnaire',
    R5ResourceTypes.QuestionnaireResponse: 'QuestionnaireResponse',
    R5ResourceTypes.RelatedPerson: 'RelatedPerson',
    R5ResourceTypes.RequestGroup: 'RequestGroup',
    R5ResourceTypes.ResearchStudy: 'ResearchStudy',
    R5ResourceTypes.ResearchSubject: 'ResearchSubject',
    R5ResourceTypes.RiskAssessment: 'RiskAssessment',
    R5ResourceTypes.Schedule: 'Schedule',
    R5ResourceTypes.SearchParameter: 'SearchParameter',
    R5ResourceTypes.ServiceRequest: 'ServiceRequest',
    R5ResourceTypes.Slot: 'Slot',
    R5ResourceTypes.Specimen: 'Specimen',
    R5ResourceTypes.SpecimenDefinition: 'SpecimenDefinition',
    R5ResourceTypes.StructureDefinition: 'StructureDefinition',
    R5ResourceTypes.StructureMap: 'StructureMap',
    R5ResourceTypes.Subscription: 'Subscription',
    R5ResourceTypes.Substance: 'Substance',
    R5ResourceTypes.SubstanceDefinition: 'SubstanceDefinition',
    R5ResourceTypes.SubstanceNucleicAcid: 'SubstanceNucleicAcid',
    R5ResourceTypes.SubstancePolymer: 'SubstancePolymer',
    R5ResourceTypes.SubstanceProtein: 'SubstanceProtein',
    R5ResourceTypes.SubstanceReferenceInformation:
        'SubstanceReferenceInformation',
    R5ResourceTypes.SubstanceSourceMaterial: 'SubstanceSourceMaterial',
    R5ResourceTypes.SupplyDelivery: 'SupplyDelivery',
    R5ResourceTypes.SupplyRequest: 'SupplyRequest',
    R5ResourceTypes.Task: 'Task',
    R5ResourceTypes.TerminologyCapabilities: 'TerminologyCapabilities',
    R5ResourceTypes.TestReport: 'TestReport',
    R5ResourceTypes.TestScript: 'TestScript',
    R5ResourceTypes.ValueSet: 'ValueSet',
    R5ResourceTypes.VerificationResult: 'VerificationResult',
    R5ResourceTypes.VisionPrescription: 'VisionPrescription',
  };
}
