import '../../stu3.dart';

class ResourceUtils {
  static const resourceTypeFromStringMap = {
    'Account': Stu3ResourceTypes.Account,
    'ActivityDefinition': Stu3ResourceTypes.ActivityDefinition,
    'AdverseEvent': Stu3ResourceTypes.AdverseEvent,
    'AllergyIntolerance': Stu3ResourceTypes.AllergyIntolerance,
    'Appointment': Stu3ResourceTypes.Appointment,
    'AppointmentResponse': Stu3ResourceTypes.AppointmentResponse,
    'AuditEvent': Stu3ResourceTypes.AuditEvent,
    'Basic': Stu3ResourceTypes.Basic,
    'Binary': Stu3ResourceTypes.Binary,
    'BodySite': Stu3ResourceTypes.BodySite,
    'Bundle': Stu3ResourceTypes.Bundle,
    'CapabilityStatement': Stu3ResourceTypes.CapabilityStatement,
    'CarePlan': Stu3ResourceTypes.CarePlan,
    'CareTeam': Stu3ResourceTypes.CareTeam,
    'ChargeItem': Stu3ResourceTypes.ChargeItem,
    'Claim': Stu3ResourceTypes.Claim,
    'ClaimResponse': Stu3ResourceTypes.ClaimResponse,
    'ClinicalImpression': Stu3ResourceTypes.ClinicalImpression,
    'CodeSystem': Stu3ResourceTypes.CodeSystem,
    'Communication': Stu3ResourceTypes.Communication,
    'CommunicationRequest': Stu3ResourceTypes.CommunicationRequest,
    'CompartmentDefinition': Stu3ResourceTypes.CompartmentDefinition,
    'Composition': Stu3ResourceTypes.Composition,
    'ConceptMap': Stu3ResourceTypes.ConceptMap,
    'Condition': Stu3ResourceTypes.Condition,
    'Consent': Stu3ResourceTypes.Consent,
    'Contract': Stu3ResourceTypes.Contract,
    'Coverage': Stu3ResourceTypes.Coverage,
    'DataElement': Stu3ResourceTypes.DataElement,
    'DetectedIssue': Stu3ResourceTypes.DetectedIssue,
    'Device': Stu3ResourceTypes.Device,
    'DeviceComponent': Stu3ResourceTypes.DeviceComponent,
    'DeviceMetric': Stu3ResourceTypes.DeviceMetric,
    'DeviceRequest': Stu3ResourceTypes.DeviceRequest,
    'DeviceUseStatement': Stu3ResourceTypes.DeviceUseStatement,
    'DiagnosticReport': Stu3ResourceTypes.DiagnosticReport,
    'DocumentManifest': Stu3ResourceTypes.DocumentManifest,
    'DocumentReference': Stu3ResourceTypes.DocumentReference,
    'EligibilityRequest': Stu3ResourceTypes.EligibilityRequest,
    'EligibilityResponse': Stu3ResourceTypes.EligibilityResponse,
    'Encounter': Stu3ResourceTypes.Encounter,
    'Endpoint': Stu3ResourceTypes.Endpoint,
    'EnrollmentRequest': Stu3ResourceTypes.EnrollmentRequest,
    'EnrollmentResponse': Stu3ResourceTypes.EnrollmentResponse,
    'EpisodeOfCare': Stu3ResourceTypes.EpisodeOfCare,
    'ExpansionProfile': Stu3ResourceTypes.ExpansionProfile,
    'ExplanationOfBenefit': Stu3ResourceTypes.ExplanationOfBenefit,
    'FamilyMemberHistory': Stu3ResourceTypes.FamilyMemberHistory,
    'Flag': Stu3ResourceTypes.Flag,
    'Goal': Stu3ResourceTypes.Goal,
    'GraphDefinition': Stu3ResourceTypes.GraphDefinition,
    'Group': Stu3ResourceTypes.Group,
    'GuidanceResponse': Stu3ResourceTypes.GuidanceResponse,
    'HealthcareService': Stu3ResourceTypes.HealthcareService,
    'ImagingManifest': Stu3ResourceTypes.ImagingManifest,
    'ImagingStudy': Stu3ResourceTypes.ImagingStudy,
    'Immunization': Stu3ResourceTypes.Immunization,
    'ImmunizationRecommendation': Stu3ResourceTypes.ImmunizationRecommendation,
    'ImplementationGuide': Stu3ResourceTypes.ImplementationGuide,
    'Library': Stu3ResourceTypes.Library,
    'Linkage': Stu3ResourceTypes.Linkage,
    'List': Stu3ResourceTypes.List_,
    'Location': Stu3ResourceTypes.Location,
    'Measure': Stu3ResourceTypes.Measure,
    'MeasureReport': Stu3ResourceTypes.MeasureReport,
    'Media': Stu3ResourceTypes.Media,
    'Medication': Stu3ResourceTypes.Medication,
    'MedicationAdministration': Stu3ResourceTypes.MedicationAdministration,
    'MedicationDispense': Stu3ResourceTypes.MedicationDispense,
    'MedicationRequest': Stu3ResourceTypes.MedicationRequest,
    'MedicationStatement': Stu3ResourceTypes.MedicationStatement,
    'MessageDefinition': Stu3ResourceTypes.MessageDefinition,
    'MessageHeader': Stu3ResourceTypes.MessageHeader,
    'NamingSystem': Stu3ResourceTypes.NamingSystem,
    'NutritionOrder': Stu3ResourceTypes.NutritionOrder,
    'Observation': Stu3ResourceTypes.Observation,
    'OperationDefinition': Stu3ResourceTypes.OperationDefinition,
    'OperationOutcome': Stu3ResourceTypes.OperationOutcome,
    'Organization': Stu3ResourceTypes.Organization,
    'Parameters': Stu3ResourceTypes.Parameters,
    'Patient': Stu3ResourceTypes.Patient,
    'PaymentNotice': Stu3ResourceTypes.PaymentNotice,
    'PaymentReconciliation': Stu3ResourceTypes.PaymentReconciliation,
    'Person': Stu3ResourceTypes.Person,
    'PlanDefinition': Stu3ResourceTypes.PlanDefinition,
    'Practitioner': Stu3ResourceTypes.Practitioner,
    'PractitionerRole': Stu3ResourceTypes.PractitionerRole,
    'Procedure': Stu3ResourceTypes.Procedure,
    'ProcedureRequest': Stu3ResourceTypes.ProcedureRequest,
    'ProcessRequest': Stu3ResourceTypes.ProcessRequest,
    'ProcessResponse': Stu3ResourceTypes.ProcessResponse,
    'Provenance': Stu3ResourceTypes.Provenance,
    'Questionnaire': Stu3ResourceTypes.Questionnaire,
    'QuestionnaireResponse': Stu3ResourceTypes.QuestionnaireResponse,
    'ReferralRequest': Stu3ResourceTypes.ReferralRequest,
    'RelatedPerson': Stu3ResourceTypes.RelatedPerson,
    'RequestGroup': Stu3ResourceTypes.RequestGroup,
    'ResearchStudy': Stu3ResourceTypes.ResearchStudy,
    'ResearchSubject': Stu3ResourceTypes.ResearchSubject,
    'RiskAssessment': Stu3ResourceTypes.RiskAssessment,
    'Schedule': Stu3ResourceTypes.Schedule,
    'SearchParameter': Stu3ResourceTypes.SearchParameter,
    'Sequence': Stu3ResourceTypes.Sequence,
    'ServiceDefinition': Stu3ResourceTypes.ServiceDefinition,
    'Slot': Stu3ResourceTypes.Slot,
    'Specimen': Stu3ResourceTypes.Specimen,
    'StructureDefinition': Stu3ResourceTypes.StructureDefinition,
    'StructureMap': Stu3ResourceTypes.StructureMap,
    'Subscription': Stu3ResourceTypes.Subscription,
    'Substance': Stu3ResourceTypes.Substance,
    'SupplyDelivery': Stu3ResourceTypes.SupplyDelivery,
    'SupplyRequest': Stu3ResourceTypes.SupplyRequest,
    'Task': Stu3ResourceTypes.Task,
    'TestReport': Stu3ResourceTypes.TestReport,
    'TestScript': Stu3ResourceTypes.TestScript,
    'ValueSet': Stu3ResourceTypes.ValueSet,
    'VisionPrescription': Stu3ResourceTypes.VisionPrescription,
  };

  static const resourceTypeToStringMap = {
    Stu3ResourceTypes.Account: 'Account',
    Stu3ResourceTypes.ActivityDefinition: 'ActivityDefinition',
    Stu3ResourceTypes.AdverseEvent: 'AdverseEvent',
    Stu3ResourceTypes.AllergyIntolerance: 'AllergyIntolerance',
    Stu3ResourceTypes.Appointment: 'Appointment',
    Stu3ResourceTypes.AppointmentResponse: 'AppointmentResponse',
    Stu3ResourceTypes.AuditEvent: 'AuditEvent',
    Stu3ResourceTypes.Basic: 'Basic',
    Stu3ResourceTypes.Binary: 'Binary',
    Stu3ResourceTypes.BodySite: 'BodySite',
    Stu3ResourceTypes.Bundle: 'Bundle',
    Stu3ResourceTypes.CapabilityStatement: 'CapabilityStatement',
    Stu3ResourceTypes.CarePlan: 'CarePlan',
    Stu3ResourceTypes.CareTeam: 'CareTeam',
    Stu3ResourceTypes.ChargeItem: 'ChargeItem',
    Stu3ResourceTypes.Claim: 'Claim',
    Stu3ResourceTypes.ClaimResponse: 'ClaimResponse',
    Stu3ResourceTypes.ClinicalImpression: 'ClinicalImpression',
    Stu3ResourceTypes.CodeSystem: 'CodeSystem',
    Stu3ResourceTypes.Communication: 'Communication',
    Stu3ResourceTypes.CommunicationRequest: 'CommunicationRequest',
    Stu3ResourceTypes.CompartmentDefinition: 'CompartmentDefinition',
    Stu3ResourceTypes.Composition: 'Composition',
    Stu3ResourceTypes.ConceptMap: 'ConceptMap',
    Stu3ResourceTypes.Condition: 'Condition',
    Stu3ResourceTypes.Consent: 'Consent',
    Stu3ResourceTypes.Contract: 'Contract',
    Stu3ResourceTypes.Coverage: 'Coverage',
    Stu3ResourceTypes.DataElement: 'DataElement',
    Stu3ResourceTypes.DetectedIssue: 'DetectedIssue',
    Stu3ResourceTypes.Device: 'Device',
    Stu3ResourceTypes.DeviceComponent: 'DeviceComponent',
    Stu3ResourceTypes.DeviceMetric: 'DeviceMetric',
    Stu3ResourceTypes.DeviceRequest: 'DeviceRequest',
    Stu3ResourceTypes.DeviceUseStatement: 'DeviceUseStatement',
    Stu3ResourceTypes.DiagnosticReport: 'DiagnosticReport',
    Stu3ResourceTypes.DocumentManifest: 'DocumentManifest',
    Stu3ResourceTypes.DocumentReference: 'DocumentReference',
    Stu3ResourceTypes.EligibilityRequest: 'EligibilityRequest',
    Stu3ResourceTypes.EligibilityResponse: 'EligibilityResponse',
    Stu3ResourceTypes.Encounter: 'Encounter',
    Stu3ResourceTypes.Endpoint: 'Endpoint',
    Stu3ResourceTypes.EnrollmentRequest: 'EnrollmentRequest',
    Stu3ResourceTypes.EnrollmentResponse: 'EnrollmentResponse',
    Stu3ResourceTypes.EpisodeOfCare: 'EpisodeOfCare',
    Stu3ResourceTypes.ExpansionProfile: 'ExpansionProfile',
    Stu3ResourceTypes.ExplanationOfBenefit: 'ExplanationOfBenefit',
    Stu3ResourceTypes.FamilyMemberHistory: 'FamilyMemberHistory',
    Stu3ResourceTypes.Flag: 'Flag',
    Stu3ResourceTypes.Goal: 'Goal',
    Stu3ResourceTypes.GraphDefinition: 'GraphDefinition',
    Stu3ResourceTypes.Group: 'Group',
    Stu3ResourceTypes.GuidanceResponse: 'GuidanceResponse',
    Stu3ResourceTypes.HealthcareService: 'HealthcareService',
    Stu3ResourceTypes.ImagingManifest: 'ImagingManifest',
    Stu3ResourceTypes.ImagingStudy: 'ImagingStudy',
    Stu3ResourceTypes.Immunization: 'Immunization',
    Stu3ResourceTypes.ImmunizationRecommendation: 'ImmunizationRecommendation',
    Stu3ResourceTypes.ImplementationGuide: 'ImplementationGuide',
    Stu3ResourceTypes.Library: 'Library',
    Stu3ResourceTypes.Linkage: 'Linkage',
    Stu3ResourceTypes.List_: 'List',
    Stu3ResourceTypes.Location: 'Location',
    Stu3ResourceTypes.Measure: 'Measure',
    Stu3ResourceTypes.MeasureReport: 'MeasureReport',
    Stu3ResourceTypes.Media: 'Media',
    Stu3ResourceTypes.Medication: 'Medication',
    Stu3ResourceTypes.MedicationAdministration: 'MedicationAdministration',
    Stu3ResourceTypes.MedicationDispense: 'MedicationDispense',
    Stu3ResourceTypes.MedicationRequest: 'MedicationRequest',
    Stu3ResourceTypes.MedicationStatement: 'MedicationStatement',
    Stu3ResourceTypes.MessageDefinition: 'MessageDefinition',
    Stu3ResourceTypes.MessageHeader: 'MessageHeader',
    Stu3ResourceTypes.NamingSystem: 'NamingSystem',
    Stu3ResourceTypes.NutritionOrder: 'NutritionOrder',
    Stu3ResourceTypes.Observation: 'Observation',
    Stu3ResourceTypes.OperationDefinition: 'OperationDefinition',
    Stu3ResourceTypes.OperationOutcome: 'OperationOutcome',
    Stu3ResourceTypes.Organization: 'Organization',
    Stu3ResourceTypes.Parameters: 'Parameters',
    Stu3ResourceTypes.Patient: 'Patient',
    Stu3ResourceTypes.PaymentNotice: 'PaymentNotice',
    Stu3ResourceTypes.PaymentReconciliation: 'PaymentReconciliation',
    Stu3ResourceTypes.Person: 'Person',
    Stu3ResourceTypes.PlanDefinition: 'PlanDefinition',
    Stu3ResourceTypes.Practitioner: 'Practitioner',
    Stu3ResourceTypes.PractitionerRole: 'PractitionerRole',
    Stu3ResourceTypes.Procedure: 'Procedure',
    Stu3ResourceTypes.ProcedureRequest: 'ProcedureRequest',
    Stu3ResourceTypes.ProcessRequest: 'ProcessRequest',
    Stu3ResourceTypes.ProcessResponse: 'ProcessResponse',
    Stu3ResourceTypes.Provenance: 'Provenance',
    Stu3ResourceTypes.Questionnaire: 'Questionnaire',
    Stu3ResourceTypes.QuestionnaireResponse: 'QuestionnaireResponse',
    Stu3ResourceTypes.ReferralRequest: 'ReferralRequest',
    Stu3ResourceTypes.RelatedPerson: 'RelatedPerson',
    Stu3ResourceTypes.RequestGroup: 'RequestGroup',
    Stu3ResourceTypes.ResearchStudy: 'ResearchStudy',
    Stu3ResourceTypes.ResearchSubject: 'ResearchSubject',
    Stu3ResourceTypes.RiskAssessment: 'RiskAssessment',
    Stu3ResourceTypes.Schedule: 'Schedule',
    Stu3ResourceTypes.SearchParameter: 'SearchParameter',
    Stu3ResourceTypes.Sequence: 'Sequence',
    Stu3ResourceTypes.ServiceDefinition: 'ServiceDefinition',
    Stu3ResourceTypes.Slot: 'Slot',
    Stu3ResourceTypes.Specimen: 'Specimen',
    Stu3ResourceTypes.StructureDefinition: 'StructureDefinition',
    Stu3ResourceTypes.StructureMap: 'StructureMap',
    Stu3ResourceTypes.Subscription: 'Subscription',
    Stu3ResourceTypes.Substance: 'Substance',
    Stu3ResourceTypes.SupplyDelivery: 'SupplyDelivery',
    Stu3ResourceTypes.SupplyRequest: 'SupplyRequest',
    Stu3ResourceTypes.Task: 'Task',
    Stu3ResourceTypes.TestReport: 'TestReport',
    Stu3ResourceTypes.TestScript: 'TestScript',
    Stu3ResourceTypes.ValueSet: 'ValueSet',
    Stu3ResourceTypes.VisionPrescription: 'VisionPrescription',
  };
}
